> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Voice Configuration



## OpenAPI

````yaml patch /v1/voice_configurations/{voice_configuration_id}
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/voice_configurations/{voice_configuration_id}:
    patch:
      tags:
        - Voice Configurations
      summary: Update Voice Configuration
      operationId: >-
        update_voice_configuration_v1_voice_configurations__voice_configuration_id__patch
      parameters:
        - name: voice_configuration_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Voice Configuration Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateVoiceConfiguration'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateVoiceConfiguration:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Name
        llm_aggregation_timeout_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Llm Aggregation Timeout Seconds
        speech_to_text:
          anyOf:
            - $ref: '#/components/schemas/UpdateSpeechToTextConfig'
            - type: 'null'
        text_to_speech:
          anyOf:
            - $ref: '#/components/schemas/UpdateTextToSpeechConfig'
            - type: 'null'
        language:
          anyOf:
            - type: string
              maxLength: 16
              minLength: 2
            - type: 'null'
          title: Language
          description: Default language code, e.g., 'en-us'
        additional_languages:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/UpdateLanguageVoiceConfig'
              type: object
            - type: 'null'
          title: Additional Languages
          description: Additional language configurations keyed by language code
        dtmf_input:
          anyOf:
            - $ref: '#/components/schemas/UpdateDTMFInputConfig'
            - type: 'null'
        vad:
          anyOf:
            - $ref: '#/components/schemas/UpdateVADConfig'
            - type: 'null'
        user_idle_handler:
          anyOf:
            - $ref: '#/components/schemas/UserIdleHandlerConfig'
            - type: 'null'
        agent_idle_handler:
          anyOf:
            - $ref: '#/components/schemas/UpdateAgentIdleHandler'
            - type: 'null'
      type: object
      title: UpdateVoiceConfiguration
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UpdateSpeechToTextConfig:
      properties:
        provider:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Provider
        watson_stt_config:
          anyOf:
            - $ref: '#/components/schemas/UpdateWatsonSTTConfig'
            - type: 'null'
        emotech_stt_config:
          anyOf:
            - $ref: '#/components/schemas/UpdateEmotechSTTConfig'
            - type: 'null'
        deepgram_stt_config:
          anyOf:
            - $ref: '#/components/schemas/UpdateDeepgramSTTConfig'
            - type: 'null'
      type: object
      title: UpdateSpeechToTextConfig
    UpdateTextToSpeechConfig:
      properties:
        provider:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Provider
        watson_tts_config:
          anyOf:
            - $ref: '#/components/schemas/UpdateWatsonTTSConfig'
            - type: 'null'
        emotech_tts_config:
          anyOf:
            - $ref: '#/components/schemas/UpdateEmotechTTSConfig'
            - type: 'null'
        elevenlabs_tts_config:
          anyOf:
            - $ref: '#/components/schemas/UpdateElevenLabsTTSConfig'
            - type: 'null'
        deepgram_tts_config:
          anyOf:
            - $ref: '#/components/schemas/UpdateDeepgramTTSConfig'
            - type: 'null'
      type: object
      title: UpdateTextToSpeechConfig
    UpdateLanguageVoiceConfig:
      properties:
        text_to_speech:
          anyOf:
            - $ref: '#/components/schemas/UpdateTextToSpeechConfig'
            - type: 'null'
        speech_to_text:
          anyOf:
            - $ref: '#/components/schemas/UpdateSpeechToTextConfig'
            - type: 'null'
        agent_idle_handler:
          anyOf:
            - $ref: '#/components/schemas/UpdateAgentIdleHandlerMessages'
            - type: 'null'
      type: object
      title: UpdateLanguageVoiceConfig
    UpdateDTMFInputConfig:
      properties:
        inter_digit_timeout_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Inter Digit Timeout Ms
        termination_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Termination Key
        maximum_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maximum Count
        ignore_speech:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ignore Speech
      type: object
      title: UpdateDTMFInputConfig
    UpdateVADConfig:
      properties:
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        provider:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Provider
        silero_vad_config:
          anyOf:
            - $ref: '#/components/schemas/UpdateSileroVADConfig'
            - type: 'null'
      type: object
      required:
        - provider
      title: UpdateVADConfig
    UserIdleHandlerConfig:
      properties:
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
          description: >-
            Enable idle handling. If false, we disconnect on timeout without
            playing a prompt.
          default: false
        idle_timeout:
          anyOf:
            - type: integer
            - type: 'null'
          title: Idle Timeout
          description: Idle timeout in seconds before triggering the handler (default 7s).
          default: 7
        idle_max_reprompts:
          anyOf:
            - type: integer
            - type: 'null'
          title: Idle Max Reprompts
          description: >-
            How many times to replay before ending the session (0 = end
            immediately).
          default: 2
        idle_timeout_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Idle Timeout Message
          description: >-
            Message to play on idle; language-specific variants may override
            this.
          default: ''
      type: object
      title: UserIdleHandlerConfig
    UpdateAgentIdleHandler:
      properties:
        pre_hold_message:
          anyOf:
            - type: string
              maxLength: 250
              minLength: 0
            - type: 'null'
          title: Pre Hold Message
          description: The text to play for the user before playing on-hold audio
        hold_message:
          anyOf:
            - type: string
              maxLength: 250
              minLength: 0
            - type: 'null'
          title: Hold Message
          description: The text to play to the user periodically while on hold
        typing_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Typing Enabled
        typing_duration_seconds:
          anyOf:
            - type: integer
              maximum: 30
              minimum: 0
            - type: 'null'
          title: Typing Duration Seconds
        audio_clip_id:
          anyOf:
            - $ref: '#/components/schemas/AudioClips'
            - type: 'null'
        hold_audio_seconds:
          anyOf:
            - type: integer
              maximum: 120
              minimum: 0
            - type: 'null'
          title: Hold Audio Seconds
      type: object
      title: UpdateAgentIdleHandler
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UpdateWatsonSTTConfig:
      properties:
        api_url:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Url
        model:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
            - type: 'null'
          title: Model
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
        bearer_token:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Bearer Token
        background_audio_suppression:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Background Audio Suppression
          description: Background audio suppression level (0.0 to 1.0). Default 0.0
        language_customization_id:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
            - type: 'null'
          title: Language Customization Id
          description: Language customization ID
        inactivity_timeout:
          anyOf:
            - type: integer
              minimum: -1
            - type: 'null'
          title: Inactivity Timeout
          description: Seconds of inactivity before the service stops listening. Default 30
        profanity_filter:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Profanity Filter
          description: Filter profanity in the transcript. Default true
        smart_formatting:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Smart Formatting
          description: Enable smart formatting (beta). Default false
        speaker_labels:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Speaker Labels
          description: Enable speaker labels (beta). Default false
        redaction:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Redaction
          description: Enable PII redaction (beta). Default false
        low_latency:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Low Latency
          description: Enable low latency mode. Default false
        learning_opt_out:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Learning Opt Out
          description: Opt out of data collection for learning. Default true
        watson_metadata:
          anyOf:
            - type: string
              maxLength: 512
              minLength: 1
            - type: 'null'
          title: Watson Metadata
          description: Value for x-watson-metadata header.
        smart_formatting_version:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Smart Formatting Version
          description: Version of smart formatting to use.
        customization_weight:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Customization Weight
          description: Weight for custom language model (0.0 to 1.0). Default 0.5
        character_insertion_bias:
          anyOf:
            - type: number
              maximum: 1
              minimum: -1
            - type: 'null'
          title: Character Insertion Bias
          description: Bias for character insertion (-1.0 to 1.0). Default 0.0
        end_of_phrase_silence_time:
          anyOf:
            - type: number
              maximum: 120
              minimum: 0
            - type: 'null'
          title: End Of Phrase Silence Time
          description: Seconds of silence that indicate end of a phrase. Default 0.8
      type: object
      title: UpdateWatsonSTTConfig
    UpdateEmotechSTTConfig:
      properties:
        api_url:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Url
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
        positive_speech_threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Positive Speech Threshold
          description: >-
            Confidence threshold above which audio is classified as speech,
            default is 0.25
          default: 0.25
        negative_speech_threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Negative Speech Threshold
          description: >-
            Confidence threshold below which audio is classified as non-speech,
            default is 0.25
          default: 0.25
        partial_interval:
          anyOf:
            - type: integer
            - type: 'null'
          title: Partial Interval
          description: >-
            Time interval (in ms) between partial transcription results, default
            is 500 ms.
          default: 500
        silence_threshold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Silence Threshold
          description: >-
            Silence duration (in ms) after speech used to determine end of
            utterance, default is 1500 ms.
          default: 500
      type: object
      title: UpdateEmotechSTTConfig
    UpdateDeepgramSTTConfig:
      properties:
        api_url:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Url
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
        model:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
            - type: 'null'
          title: Model
        keyterm:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Keyterm
          description: Key terms to boost recognition of
        mip_opt_out:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Mip Opt Out
          description: Opt out of model improvement program
        channels:
          anyOf:
            - type: integer
            - type: 'null'
          title: Channels
          description: Number of audio channels
        diarize:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Diarize
          description: Enable speaker diarization
        dictation:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dictation
          description: Enable dictation mode
        endpointing:
          anyOf:
            - type: integer
            - type: 'null'
          title: Endpointing
          description: Endpointing silence duration in seconds, or false to disable
        extra:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Extra
          description: Extra parameters to pass to Deepgram
        interim_results:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Interim Results
          description: Enable interim results
        keywords:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Keywords
          description: Keywords to detect
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          description: BCP-47 language tag
        multichannel:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Multichannel
          description: Transcribe each audio channel independently
        numerals:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Numerals
          description: Convert numbers from written to numerical form
        profanity_filter:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Profanity Filter
          description: Filter profanity
        punctuate:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Punctuate
          description: Add punctuation and capitalization
        redact:
          anyOf:
            - type: string
            - type: 'null'
          title: Redact
          description: Redact sensitive information
        replace:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Replace
          description: Replace specified terms
        search:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Search
          description: Search for specific terms
        smart_format:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Smart Format
          description: Apply smart formatting to the transcript
        tag:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tag
          description: Tag for the request
        utterance_end_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Utterance End Ms
          description: >-
            How long Deepgram will wait to send UtteranceEnd message after word
            has been transcribed
        vad_events:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Vad Events
          description: Enable Deepgram's voice activity detection events
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
          description: API version
        eager_eot_threshold:
          anyOf:
            - type: number
              maximum: 0.9
              minimum: 0.3
            - type: 'null'
          title: Eager Eot Threshold
          description: >-
            End-of-turn confidence required to fire an eager EOT event, between
            (0.3 - 0.9)
        eot_threshold:
          anyOf:
            - type: number
              maximum: 0.9
              minimum: 0.5
            - type: 'null'
          title: Eot Threshold
          description: >-
            End-of-turn confidence required to finish a turn, between (0.5 -
            0.9)
        eot_timeout_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Eot Timeout Ms
          description: >-
            A turn will be finished when this much time (ms) has passed after
            speech, regardless of EOT confidence
      type: object
      title: UpdateDeepgramSTTConfig
    UpdateWatsonTTSConfig:
      properties:
        api_url:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Url
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
        bearer_token:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Bearer Token
        voice:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Voice
        rate_percentage:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rate Percentage
          description: Rate percentage for speech synthesis, default is 0
          default: 0
        pitch_percentage:
          anyOf:
            - type: integer
            - type: 'null'
          title: Pitch Percentage
          description: Pitch percentage for speech synthesis, default is 0
          default: 0
        language:
          anyOf:
            - type: string
              maxLength: 16
              minLength: 2
            - type: 'null'
          title: Language
          description: Language code for the voice, e.g., 'en-US'
        customization_id:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
            - type: 'null'
          title: Customization Id
          description: Custom ID for the Watson TTS service
        meta_id:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
            - type: 'null'
          title: Meta Id
          description: Meta ID for the Watson TTS service
        learning_opt_out:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Learning Opt Out
          description: Set to true to opt out of data collection for learning purposes
      type: object
      title: UpdateWatsonTTSConfig
    UpdateEmotechTTSConfig:
      properties:
        api_url:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Url
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
        voice:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Voice
      type: object
      title: UpdateEmotechTTSConfig
    UpdateElevenLabsTTSConfig:
      properties:
        model_id:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Model Id
        voice_id:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Voice Id
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
        apply_text_normalization:
          anyOf:
            - type: string
            - type: 'null'
          title: Apply Text Normalization
        language_code:
          anyOf:
            - type: string
              maxLength: 16
              minLength: 2
            - type: 'null'
          title: Language Code
        optimize_streaming_latency:
          anyOf:
            - type: integer
            - type: 'null'
          title: Optimize Streaming Latency
        apply_language_text_normalization:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Apply Language Text Normalization
        pronunciation_dictionary_locators:
          anyOf:
            - items:
                $ref: '#/components/schemas/UpdateElevenLabsPronounciationDict'
              type: array
            - type: 'null'
          title: Pronunciation Dictionary Locators
        seed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seed
        previous_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Text
        next_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Text
        voice_settings:
          anyOf:
            - $ref: '#/components/schemas/UpdateElevenLabsVoiceSettings'
            - type: 'null'
      type: object
      title: UpdateElevenLabsTTSConfig
    UpdateDeepgramTTSConfig:
      properties:
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
          description: Deepgram API key.
        mip_opt_out:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Mip Opt Out
          description: Opt out of model improvement program.
        model:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Model
          description: The ID (canonical name) of the Deepgram model to use.
        language:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Language
          description: An optional UI indicator to help the UI show different languages.
      type: object
      required:
        - api_key
      title: UpdateDeepgramTTSConfig
    UpdateAgentIdleHandlerMessages:
      properties:
        pre_hold_message:
          anyOf:
            - type: string
              maxLength: 250
              minLength: 0
            - type: 'null'
          title: Pre Hold Message
          description: The text to play for the user before playing on-hold audio
        hold_message:
          anyOf:
            - type: string
              maxLength: 250
              minLength: 0
            - type: 'null'
          title: Hold Message
          description: The text to play to the user periodically while on hold
      type: object
      title: UpdateAgentIdleHandlerMessages
    UpdateSileroVADConfig:
      properties:
        confidence:
          anyOf:
            - type: number
            - type: 'null'
          title: Confidence
        start_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Start Seconds
        stop_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Stop Seconds
        min_volume:
          anyOf:
            - type: number
            - type: 'null'
          title: Min Volume
      type: object
      title: UpdateSileroVADConfig
    AudioClips:
      type: string
      enum:
        - guitar_1
        - listen_1
      title: AudioClips
    UpdateElevenLabsPronounciationDict:
      properties:
        pronunciation_dictionary_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pronunciation Dictionary Id
          description: ID of the pronunciation dictionary
        version_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Id
          description: Version ID of the pronunciation dictionary
      type: object
      title: UpdateElevenLabsPronounciationDict
    UpdateElevenLabsVoiceSettings:
      properties:
        speed:
          anyOf:
            - type: number
            - type: 'null'
          title: Speed
          description: Speech speed
        style:
          anyOf:
            - type: number
            - type: 'null'
          title: Style
          description: Style factor
        stability:
          anyOf:
            - type: number
            - type: 'null'
          title: Stability
          description: Stability factor
        similarity_boost:
          anyOf:
            - type: number
            - type: 'null'
          title: Similarity Boost
          description: Similarity boost factor
        use_speaker_boost:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Speaker Boost
          description: Whether to use speaker boost
      type: object
      title: UpdateElevenLabsVoiceSettings
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````